STRUCT HEADER_T(3)

NAME
boost::interprocess::segment_manager::header_t

SYNOPSIS

// In header: <boost/interprocess/segment_manager.hpp>
struct header_t {
  // construct/copy/destruct
  header_t(Base *);
  named_index_t m_named_index;
  unique_index_t m_unique_index;
};

DESCRIPTION

This struct includes needed data and derives from rmutex to allow EBO when using null interprocess_mutex

  header_t public construct/copy/destruct

    1.

    header_t(Base * restricted_segment_mngr);